[alpine-devel] [PATCH] Initial APKBUILD file of php-zend-opcache
Export this patch
From: "V.Krishn" <vkrishn4@gmail.com>
The Zend OPcache provides faster PHP execution through opcode caching and
optimization. It improves PHP performance by storing precompiled script
bytecode in the shared memory. This eliminates the stages of reading code from
the disk and compiling it on future access. In addition, it applies a few
bytecode optimization patterns that make code execution faster.
---
testing/php-zend-opcache/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
testing/php-zend-opcache/opcache.ini | 11 +++++++++++
2 files changed, 46 insertions(+)
create mode 100644 testing/php-zend-opcache/APKBUILD
create mode 100644 testing/php-zend-opcache/opcache.ini
Pushed.
Thanks!
- leo
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---
diff --git a/testing/php-zend-opcache/APKBUILD b/testing/php-zend-opcache/APKBUILD
new file mode 100644
index 0000000..ff640a3
--- /dev/null
+++ b/testing/php-zend-opcache/APKBUILD
@@ -0,0 +1,35 @@
+ # Contributor: V.Krishn <vkrishn4@gmail.com>
+ # Maintainer:
+ pkgname=php-zendopcache
+ pkgver=7.0.1
+ pkgrel=0
+ pkgdesc="Zend OPcache for PHP"
+ url="https://github.com/zend-dev/ZendOptimizerPlus"
+ arch="all"
+ license="PHP"
+ depends="php"
+ makedepends="php-dev autoconf pcre-dev"
+ subpackages=""
+ source="saveas-https://github.com/zend-dev/ZendOptimizerPlus/archive/v7.0.1.tar.gz/$pkgname-$pkgver.tar.gz
+ opcache.ini"
+ _builddir="$srcdir/ZendOptimizerPlus-$pkgver"
+
+ build() {
+ cd "$_builddir"
+ phpize || return 1
+ ./configure --enable-opcache \
+ --with-php-config=/usr/bin/php-config
+ make || return 1
+ }
+
+ package() {
+ cd "$_builddir"
+ make INSTALL_ROOT=$pkgdir install || return 1
+ install -D -m644 "$srcdir"/opcache.ini "$pkgdir"/etc/php/conf.d/opcache.ini
+ extension_dir=`grep '^extension_dir' /usr/bin/php-config | awk -F'=' '{print $2}' | replace "'" ""`
+ sed -i -e "s|{{extension_dir}}|$extension_dir|" \
+ "$pkgdir"/etc/php/conf.d/opcache.ini || return 1
+ }
+
+ md5sums="c5d41c2404916e5aaceff5c7f7d887ce php-zendopcache-7.0.1.tar.gz
+ b80548491db141fb5d7a823445ec2ba9 opcache.ini"
diff --git a/testing/php-zend-opcache/opcache.ini b/testing/php-zend-opcache/opcache.ini
new file mode 100644
index 0000000..a0f1202
--- /dev/null
+++ b/testing/php-zend-opcache/opcache.ini
@@ -0,0 +1,11 @@
+ [OPcache]
+ ;Recommended configuration options for best performance.
+ ;zend_extension="{{extension_dir}}/opcache.so"
+ ;opcache.enable=1
+ ;opcache.memory_consumption=128
+ ;opcache.interned_strings_buffer=8
+ ;opcache.max_accelerated_files=4000
+ ;opcache.revalidate_freq=60
+ ;opcache.fast_shutdown=1
+ ;opcache.enable_cli=1
+
--
1.8.0
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---